package com.iqser.red.service.persistence.service.v1.api.shared.model.dossiertemplate.importexport;

import lombok.Getter;

public enum ExportFilename {

    DOSSIER_TEMPLATE_META("dossierTemplate"),
    WATERMARK("watermark"),
    COLORS("colors"),
    DOSSIER_STATUS("dossierStatusList"),
    DOSSIER_ATTRIBUTES_CONFIG("dossierAttributesConfigList"),
    FILE_ATTRIBUTE_CONFIG("fileAttributeConfigList"),
    FILE_ATTRIBUTE_GENERAL_CONFIG("fileAttributeGeneralConfigList"),
    LEGAL_BASIS("legalBasisMappingList"),
    RULES("rules"),
    COMPONENT_RULES("componentRules"),
    REPORT_TEMPLATE("reportTemplateList"),
    REPORT_TEMPLATE_MULTI_FILE(" (Multi-file)"),
    DOSSIER_TYPE("dossierType"),
    ENTRIES("entries"),
    FALSE_POSITIVES("falsePositives"),
    FALSE_RECOMMENDATION("falseRecommendations");

    @Getter
    private final String filename;


    ExportFilename(String filename) {

        this.filename = filename;
    }
}
